using System;
using MonoTouch.Foundation;
using MonoTouch.ObjCRuntime;
using System.Collections.Generic;

namespace CustomCell
{
	public class Data:NSObject
	{
		static int innerID;

		string _name;
		[Export("Name")]
		public string Name
		{
			get {return _name;}
			set { _name = value;}
		}
		int _identifier;
		[Export("Identifier")]
		public int Identifier
		{
			get {return _identifier;}
			set {_identifier = value;}
		}

		NSDate _date;
		[Export("Date")]
		public NSDate Date
		{
			get{return _date;}
			set{ _date = value;}
		}

		public Data ()
		{
			_name = string.Format ("Name {0}", innerID);
			_identifier = innerID;
			_date = DateTime.Now;
			innerID++;
		}

		public static List<Data> generateData(int count)
		{
			List<Data> retarr = new List<Data> ();
			
			for (int i = 0; i < count; i++) 
			{

				retarr.Add(new Data (){Date = DateTime.Now.AddDays(i), Name = "Hello: " + i.ToString(), Identifier = i});
			}
			return retarr;
		}
	}

}

